<script>
  import { mapStores } from "pinia";
  import {useCounterStore} from '../stores/counter';
  
  export default { 
    methods: {   
      showStatus() {
        console.log("-----status =",this.counterStore.name,this.counterStore.count)
      },
      incrementMe() {       
        this.counterStore.count = this.counterStore.count - 1;
      },
      startCounter() {          
        setInterval(this.incrementMe,1);
      }
    },
    computed: {
      // note we are not passing an array, just one store after the other
      // each store will be accessible as its id + 'Store'
      ...mapStores(useCounterStore),
    },
  };
  </script>
  <template>
    <dev>
      <button v-on:click="startCounter">Start Counter</button>  
      {{this.counterStore.count}}
    </dev>
  </template>
  